import ModelBase from '../ModelBase.mjs';
import { ZMQ_PUB_CHANNELS } from '../../system/constants.mjs';

export class Position extends ModelBase {
    /**
     * @typedef {Class} Position
     */

    /**
     * @method
     * @param {Object} position - trackable position
     * @return {Object} - ZMQ message
     */
    static notifyMessage(position) {
        return {
            channel: ZMQ_PUB_CHANNELS.POS,
            data: position,
        };
    }

    /**
     * @param {Object} position  - trackable position to save
     * @returns {Promise<Object>}
     */
    async save(position) {
        const trackable = {
            uid: position.tk_uid,
            position: { timestamp: position.ts, ...position.data },
        };
        await this.repository.trackable.save(trackable);

        return position;
    }
}
