import { parseSafeNull } from '../utils/index.mjs';

export default class UseCaseBase {
    constructor() {
        this.notificator = UseCaseBase.notificatorInstance;
    }

    static notificatorInstance = {
        notify: () => {
            if (process.env.MODE === 'test') return;
            throw new Error('notificator is not set');
        },
    };

    static setNotificator(notificator) {
        UseCaseBase.notificatorInstance = notificator;
    }

    async run(params) {
        const cleanParams = this.parse(params);
        if (cleanParams) {
            return this.execute(cleanParams);
        }
        return null;
    }

    parse(params) {
        if (typeof params === 'string') {
            return parseSafeNull(params);
        }
        return params;
    }
}
