/**
 * @function
 * @param {Object} event - input event from ZMQ
 * @property {Number} event.ts - date in ISO 8601 format
 * @property {String} event.type - event type [announce|heartbeat]
 * @param {String} obj_uid - trackable/anchor unique identifier
 * @param {String} sublocationUid - sublocation unique identifier
 * @param {Boolean} isWin - object class trackable or WIN
 * @return {Object} - extended position
 */
export function formatHeartbeat(event, obj_uid, sublocationUid, isWin) {
    const result = {
        ts: event.ts,
        type: event.type,
        data: {
            sl_uid: sublocationUid,
        },
    };
    if (obj_uid) {
        result[isWin ? 'anc_uid' : 'tk_uid'] = obj_uid;
    }
    return result;
}
