#!/usr/bin/env bash
DIRNAME_PREFIX=/usr/rtls/rtls-platform-message-processor
MODULE_PREFIX=$DIRNAME_PREFIX/apps/message-processor

# copy .env file in tmp folder
if [ -e $MODULE_PREFIX/.env ]; then
  mkdir -p /tmp/rtls-platform-message-processor
  cp -rf $MODULE_PREFIX/.env /tmp/rtls-platform-message-processor/
fi

# updating system related files
cp -rf $MODULE_PREFIX/sys-services/rtls-platform-message-processor.service /usr/lib/systemd/system/

if [ -e /usr/lib/systemd/system/rtls-platform-message-processor.service ]; then
  chmod 644 /usr/lib/systemd/system/rtls-platform-message-processor.service
  chown root:root /usr/lib/systemd/system/rtls-platform-message-processor.service
fi

systemctl daemon-reload

# clear installation folder
rm -rf $DIRNAME_PREFIX/*

if sudo systemctl is-active --quiet rtls-platform-message-processor; then
    echo "Stopping rtls-platform-message-processor"
    sudo systemctl stop rtls-platform-message-processor
else
    echo "rtls-platform-message-processor is not active. No need to stop."
fi
