import assert from 'assert';
import { AuthorizationError } from './AuthorizationError.mjs';
import { ERROR_CODE } from '../../system/constants.mjs';

describe('AuthorizationError', function () {
    it('should create error', function () {
        const authError = 'Authorization Error Message';
        const error = new AuthorizationError(authError);
        assert.deepStrictEqual(
            error.code,
            ERROR_CODE.AUTHORIZATION_ERROR,
            `Should be equal to ${ERROR_CODE.AUTHORIZATION_ERROR}`
        );
        assert.deepStrictEqual(error.userMessage.message, authError, 'Miss userMessage property');
        assert.deepStrictEqual(
            error.userMessage,
            { message: authError, code: ERROR_CODE.AUTHORIZATION_ERROR },
            `Error user message is wrong`
        );
    });
});
