import ModelBase from '../ModelBase.mjs';

export class Id extends ModelBase {
    /**
     * @typedef {Class} Id
     */

    #maxValue = null;

    #repo = null;

    /**
     * @param {String} repo - repository name
     */
    constructor( repo) {
        super();
        this.#repo = repo;
    }

    async nextValue() {
        return await this.repository[this.#repo].nextValue();
    }

    async popAvailable() {
        return this.repository[this.#repo].popAvailable();
    }

    async remove(value) {
        await this.repository[this.#repo].addAvailable(value);
    }
}
