import UseCaseBase from '../UseCaseBase.mjs';
import { Anchor } from '../../models/index.mjs';

export class AnchorSave extends UseCaseBase {
    static validationRules = {
        name: ['strict_string', 'not_empty', 'required'],
        bridge: ['strict_bool', 'not_empty', 'required'],
        position: [{
            nested_object: {
                x: ['strict_integer', 'required'],
                y: ['strict_integer', 'required'],
                z: ['strict_integer', 'required'],
                sublocation_uid: ['strict_string', 'not_empty', 'required']
            }
        }, 'required']
    };

    async execute(params) {
        const anchor = await new Anchor().save(params);

        await this.notificator.notify(Anchor.savedMessage(anchor));

        return anchor;
    }
}
