import * as mysql from 'mysql';
import { promisify } from 'util';

export class SolutionDBPoolFactory {
    /**
     *
     * @param params
     * @property params.host {String}
     * @property params.user {String}
     * @property params.port {Number}
     * @property params.password {String}
     * @property params.database {String}
     * @property params.driver {String}
     * @property params.charset {String}
     * @property params.collate {String}
     * @return {{queryAsync: any, pool: any}}
     */
    static createSolutionDBPool(params) {
        let pool = mysql.createPool({...params, "multipleStatements": true});
        return {
            pool,
            queryAsync: promisify(pool.query).bind(pool),
        }
    }
}
