import logger from '../logger.mjs';

/**
 *
 * @param entities {String}
 * @param added {any[]}
 * @param updated {any[]}
 * @param removed {any[]}
 * @param same {any[]}
 */
export function logSyncReport(entities, added, updated, removed, same) {
    const lAdded = added.length;
    const lUpdated = updated.length;
    const lRemoved = removed.length;
    const lSame = same.length;
    if (lAdded > 0 || lUpdated > 0 || lRemoved > 0) {
        logger.info(`Transfer ${entities}: `)
        lAdded > 0 && logger.info(`    added ${lAdded}: ${JSON.stringify(added)}`);
        lUpdated > 0 && logger.info(`    updated ${lUpdated}: ${JSON.stringify(updated)}`);
        lRemoved > 0 && logger.info(`    removed ${lRemoved}: ${JSON.stringify(removed)}`);
        lSame > 0 && logger.info(`    not changed items: ${lSame}`);
    } else {
        logger.info(`${entities} synced.`);
    }
}
